"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepClone = void 0;
function deepClone(value) {
    const valueType = typeof value;
    if (valueType === 'function' || !value) {
        throw new Error('Cannot deep clone a function');
    }
    return JSON.parse(JSON.stringify(value));
}
exports.deepClone = deepClone;
//# sourceMappingURL=deep-clone.js.map