"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFunctionArgs = void 0;
function getFunctionArgs(func) {
    if (func && func.toString()) {
        const functionSignatureInString = func.toString();
        const openingBracetIndex = functionSignatureInString.indexOf('(');
        const closingBracetIndex = functionSignatureInString.indexOf(')');
        return functionSignatureInString
            .substring(openingBracetIndex + 1, closingBracetIndex)
            .split(',')
            .map((arg) => arg.trim())
            .filter((arg) => arg);
    }
    throw new Error('Passed parameter is undefined or not a function');
}
exports.getFunctionArgs = getFunctionArgs;
//# sourceMappingURL=get-function-args.js.map