import { Command, ImmutableCommand, ShellComponent } from './type';
export declare class ShellRegistry {
    private static components;
    private static commands;
    private constructor();
    static registerComponent(component: ShellComponent): void;
    private static ensureComponentIsTruthy;
    static getComponent(componentClassName: string): ShellComponent;
    static registerCommand(command: Command): void;
    private static ensureCommandIsTruthy;
    static findCommand(commandWithPrefix: string): Command;
    static getImmutableComponents(): string[];
    static getImmutableCommands(): ImmutableCommand[];
    private static convertCommandsToArray;
}
